using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZionRobot.Helpers
{
    class Naming
    {
        internal static string GetFileFullPath(string path, string fileName, string ext)
        {
            int i = 1;

            string fileFullPath = System.IO.Path.Combine(path, fileName + ext);

            while (System.IO.File.Exists(fileFullPath))
            {
                fileFullPath = System.IO.Path.Combine(path, string.Format("{0}_{1}{2}", fileName, i, ext));
                i++;
            }

            return fileFullPath;
        }
    }
}
